require 'test_helper'

class FineUploaderTest < ActionDispatch::IntegrationTest
  teardown { clean_cache }

  test "engine is loaded" do
    assert_equal ::Rails::Engine, FineUploader::Rails::Engine.superclass
  end

  test "javascript is served" do
    get "/assets/fine_uploader.js"
    assert_response :success
  end

  test "images are served" do
    get "/assets/fine_uploader/loading.gif"
    get "/assets/fine_uploader/processing.gif"
    assert_response :success
  end

  test "stylesheet contain references to images" do
    get "/assets/fine_uploader.css"
    assert_match "/assets/fine_uploader/loading.gif", response.body
    assert_match "/assets/fine_uploader/processing.gif", response.body
  end

  private
  def clean_cache
    FileUtils.rm_rf File.expand_path("../dummy/tmp",  __FILE__)
  end
end
